.ruituo-newslist-container {
  --bg-page: #032F56;
  --card-bg-color: #071B2D;
  padding: 120px 0;
  background-color: var(--bg-page);
}

.ruituo-newslist ul li {
  margin-bottom: 60px;
  transition: all 0.3s ease 0s;
  box-sizing: border-box;
  border-radius: 8px;
  background-color: var(--card-bg-color);
  display: -webkit-flex;
  display: flex;
  overflow: hidden;
  transition: all 0.3s ease;
}

.ruituo-newslist ul li .pic {
  width: 350px;
  aspect-ratio: 350/350;
  display: block;
  overflow: hidden;
}

.ruituo-newslist ul li .pic img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: all 0.3s ease;
}

.ruituo-newslist ul li .content {
  -webkit-flex: 1;
  flex: 1;
  padding: 50px 60px;
  display: flex;
  flex-direction: column;
}

.ruituo-newslist ul li .content h5 {
  font-size: 22px;
  text-transform: capitalize;
  font-weight: 700;
  display: -webkit-box;
  line-clamp: 2;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.ruituo-newslist ul li .content h5 a {
  color: var(--title-text-color);
  transition: all 0.3s ease;

}

.ruituo-newslist .date-box {
  display: flex;
  align-items: center;
  font-size: 14px;
  color: var(--text-color);
  font-weight: 400;
  line-height: 1.5;
  margin-bottom: 24px;
  gap: 10px;
}

.ruituo-newslist ul li .content p {
  color: var(--text-color);
  font-size: 16px;
  overflow: hidden;
  margin-top: 12px;
  line-height: 1.5;
  display: -webkit-box;
  line-clamp: 4;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.ruituo-newslist .more {
  width: 100%;
  display: flex;
  gap: 10px;
  margin-top: auto;
  font-size: 14px;
  font-weight: 400;
  line-height: 1.5;
  color: var(--color-primary);
  text-decoration: none;
  transition: all 0.3s ease;
}

.ruituo-newslist .more i {
  font-size: 14px;
  font-weight: 400;
  color: var(--color-primary);
  padding-top: 2px;
}

.ruituo-newslist ul li:hover {
  background-color: var(--color-second);
}

.ruituo-newslist ul li:hover h5 a {
  color: var(--color-primary);
}

.ruituo-newslist ul li:hover img {
  transform: scale(1.08);
  -webkit-transform: scale(1.08);
}

.ruituo-newslist ul li:hover .more {
  gap: 14px;
}

/* 
  pagenation
*/
.ruituo-newslist-container #pagesize ul li a {
  background: var(--bg-page) !important;
  border-color: var(--text-color) !important;
  border-radius: 2px;
  color: var(--title-text-color) !important;
  margin: 0 5px !important;
}

.ruituo-newslist-container #pagesize ul li a.active {
  background: var(--color-primary) !important;
  border-color: var(--color-primary) !important;
}

.ruituo-newslist-container #pagesize ul li a:hover {
  color: var(--color-primary) !important;
  border-color: var(--color-primary) !important;
  box-shadow: none !important;
}

.ruituo-newslist-container #pagesize ul li a.active:hover {
  color: var(--title-text-color) !important;
}

@media screen and (max-width:1200px) {
  .ruituo-newslist ul li .pic {
    width: 400px;
  }

  .ruituo-newslist ul li .content {
    padding: 30px;
    padding-left: 40px;
  }
  .ruituo-newslist-container{
    padding:100px;
  }
}

@media screen and (max-width:992px) {
  .ruituo-newslist ul li .pic {
    width: 350px;
  }

  .ruituo-newslist .date-box {
    margin-bottom: 16px;
  }

  .ruituo-newslist ul li .content h5 {
    font-size: 20px;
  }

  .ruituo-newslist ul li .content p {
    line-height: 1.3;
  }
  .ruituo-newslist-container{
    padding:80px;
  }
}

@media screen and (max-width:768px) {
  .ruituo-newslist-container{
    padding:60px;
  }
  .ruituo-newslist-container {
    /* padding-top: 25px;
    padding-bottom: 30px; */
    padding: 25px 0 30px 0;
  }

  .ruituo-newslist ul li {
    margin-bottom: 40px;
  }

  .ruituo-newslist ul li .content {
    padding: 16px;
    padding-left: 24px;
  }

  .ruituo-newslist ul li .pic {
    width: 220px;
  }

  .ruituo-newslist ul li .content h5 {
    font-size: 18px;
  }

  .ruituo-newslist .date-box {
    margin-bottom: 4px;
  }

  .ruituo-newslist .date-box svg {
    width: 18px;
    height: 18px;
  }

  .ruituo-newslist ul li .content p {
    font-size: 14px;
    margin-top: 4px;
    line-clamp: 2;
    -webkit-line-clamp: 2;
  }

  .ruituo-newslist ul li .content a.more {
    display: none;
  }
}

@media screen and (max-width:576px) {
  .ruituo-newslist ul li {
    flex-direction: column;
  }

  .ruituo-newslist ul li .pic {
    width: 100%
  }

  .ruituo-newslist ul li .content {
    padding: 16px;
    padding-top: 20px;
  }

  .ruituo-newslist ul li .content p {
    line-clamp: 3;
    -webkit-line-clamp: 3;
  }
}